AnakiaTask.Context (Velocity 1.7 API)
Keywords: org.apache.velocity.anakia.AnakiaTask.Context class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.anakia
Class AnakiaTask.Context

    java.lang.Object
      org.apache.velocity.anakia.AnakiaTask.Context

Enclosing class:
  AnakiaTask

public class AnakiaTask.Context
extends Object

A context implementation that loads all values from an XML file.

Constructor Summary
`AnakiaTask.Context()` Public constructor.

Method Summary
`Document` | `getContextDocument()` Retrieve the context document object.
`long` | `getLastModified()` Retrieve the time the source file was last modified.
`String` | `getName()` Get the name of the context.
`void` | `setFile(String file)` Build the context based on a file path.
`void` | `setName(String name)` Set the name of the context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnakiaTask.Context

    public AnakiaTask.Context()

  Public constructor.

Method Detail

### getName

    public String getName()

  Get the name of the context.

  Returns:
    The name of the context.

### setName

    public void setName(String name)

  Set the name of the context.

  Parameters:
    `name` -
  Throws:
    `IllegalArgumentException` - if a reserved word is used as a name, specifically any of "relativePath", "treeWalk", "xpath", "escape", "date", or "project"

### setFile

    public void setFile(String file)

  Build the context based on a file path.

  Parameters:
    `file` -

### getLastModified

    public long getLastModified()

  Retrieve the time the source file was last modified.

  Returns:
    The time the source file was last modified.

### getContextDocument

    public Document getContextDocument()

  Retrieve the context document object.

  Returns:
    The context document object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.